import platform from "@/utils/platform";
import config from '@/config';
export const wxPay = (obj) => {
	return new Promise(resolve => {
		const plat = platform()
		if (plat === 'H5') {
			WeixinJSBridge.invoke(
				'getBrandWCPayRequest', {
					"appId": config.appid, //公众号ID，由商户传入     
					"timeStamp": obj.timeStamp, // cfg.timeStamp, //时间戳，自1970年以来的秒数     
					"nonceStr": obj.nonceStr, // cfg.nonceStr, //随机串     
					"package": obj.packageValue, // cfg.packages,
					"signType": obj.signType, // cfg.signType, //微信签名方式：     
					"paySign": obj.paySign // cfg.paySign //微信签名 
				},
				function(res) {
					console.log(res,'respay');
					if (res.err_msg == "get_brand_wcpay_request:ok") {
						// 使用以上方式判断前端返回,微信团队郑重提示：
						//res.err_msg将在用户支付成功后返回ok，但并不保证它绝对可靠。
						//跳转支付成功展示页面
						// 支付成功后的回调函数
						console.log(res)
						resolve(true)
					} else if (res.err_msg == "get_brand_wcpay_request:fail") {
						uni.showToast({
							title: '支付失败！',
							icon: 'none'
						})
						resolve(false)
					} else {
						uni.showToast({
							title: '支付失败！',
							icon: 'none'
						})
						resolve(false)
						//修改上面生成的预支付订单状态
					}
				});
		}
	})
}
